set-location c:\;
. C:\data\dev\repos\RealWorldPowerShellForSqlAdmin\Scripts\Initialize.ps1

Get-FileSize -FileName "C:\data\dev\repos\RealWorldPowerShellForSqlAdmin\Scripts\Initialize.ps1"

Get-Help Get-FileSize;


$chainArgs = @{
    SourceFullBackupPath = "C:\sql\sql2019\backup\Full"
    FullPattern = "*AutoTrackerFull*.bak"
    SourceLogBackupPath = "C:\sql\sql2019\backup\Log"
    LogPattern = "*AutoTrackerLog*.trn"
    RestoreServerName = ".\sql2019"
    RestorePoint = [System.DateTime]::Parse("2019-07-20 16:03:22")
};

$chain = Get-RestoreChain @chainArgs;
$chain | Select-Object -Property BackupFileName, FirstLSN, BackupStartDate, BackupSize;
$chain.Count;

$restoreArgs = @{
    DatabaseName = "AutoTracker"
    SourceFullBackupPath = "C:\sql\sql2019\backup\Full"
    FullPattern = "*AutoTrackerFull*.bak"
    SourceLogBackupPath = "C:\sql\sql2019\backup\Log"
    LogPattern = "*AutoTrackerLog*.trn"
    RestoreServerName = ".\sql2019"
    RestorePoint = [System.DateTime]::Parse("2019-07-20 16:03:22")
    MdfPathName = "c:\data\sql2017\data"
    LdfPathName = "c:\data\sql2017\log"
};

Restore-DatabaseFullAndLogs @restoreArgs -OutputScriptOnly $true;
Restore-DatabaseFullAndLogs @restoreArgs;

Get-LastRebootTime -ComputerName "localhost";

"localhost", "invalidservername" | Get-LastRebootTime;
